Name:           ms-sys
Version:        2.6.0
Release:        0.1%{?dist}
Summary:        Create DOS/MS-compatible boot records

License:        GPLv2
URL:            http://ms-sys.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}%%20stable/%{version}/%{name}-%{version}.tar.gz

BuildRequires: bash
BuildRequires: gettext
BuildRequires: gcc


%description
This program is used to create DOS/MS-compatible boot records. It is
able to do the same as Microsoft "fdisk /mbr" to a hard disk. It is
also able to do the same as DOS "sys" to a floppy or FAT32 partition
except that it does not copy any system files, only the boot record is
written.


%prep
%setup -q 

%build
%{__make} \
    CC="${CC:-%{__cc}}" \
    EXTRA_CFLAGS="%{optflags} -fasm" \
    EXTRA_LDFLAGS="%{optflags}" \
    PREFIX="%{_prefix}" \
    SHELL="/bin/bash"

iconv --from=ISO-8859-1 --to=UTF-8 CONTRIBUTORS > CONTRIBUTORS.new
iconv --from=ISO-8859-1 --to=UTF-8 CHANGELOG > CHANGELOG.new
mv CONTRIBUTORS.new CONTRIBUTORS
mv CHANGELOG.new CHANGELOG

%install
%{__make} install DESTDIR="%{buildroot}" PREFIX="%{_prefix}" MANDIR="%{_mandir}"
%find_lang %{name}


%files -f %{name}.lang
%doc CHANGELOG CONTRIBUTORS COPYING FAQ README TODO
%doc %{_mandir}/man1/ms-sys.1*
%lang(de) %doc %{_mandir}/de/man1/ms-sys.1*
%lang(fr) %doc %{_mandir}/fr/man1/ms-sys.1*
%lang(sv) %doc %{_mandir}/sv/man1/ms-sys.1*
%{_bindir}/ms-sys



%changelog
* Wed Oct 30 2019 J. Randall Owens <jrowens@ghiapet.net> - 2.6.0-0.1
- update to version 2.6.0
- rebuild for Fedora/GhiaPet 31

* Thu Sep 13 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 2.4.1-3
- BuildRequire gcc for F29

* Fri Feb  9 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 2.4.1-2
- clean up spec file to current standards

* Sun Aug 16 2015 J. Randall Owens <jrowens@ghiapet.net> - 2.4.1-1
- update to version 2.4.1

* Thu Aug  7 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 2.4.0-1
- update to version 2.4.0

* Tue Jun 26 2012 J. Randall Owens <jrowens@ghiapet.net> - 2.2.1-1
- update to 2.2.1
- rebuild for GhiaPet/Fedora 17

* Mon Jun 14 2010 J. Randall Owens <jrowens@ghiapet.net> - 2.2.0-1
- update to version 2.2.0
- rebuild for GhiaPet/Fedora 13

* Sun Jan  3 2010 J. Randall Owens <jrowens@ghiapet.net> - 2.1.3-3
- rebuild for Fedora 12

* Mon Aug 04 2008 Rahul Sundaram <sundaram@fedoraproject.org> - 2.1.3-2
- Fix license tag and disable debugging.

* Mon Aug 04 2008 Rahul Sundaram <sundaram@fedoraproject.org> - 2.1.3-1
- Initial package


